# Uses of Class
org.apache.sysds.runtime.io.cog.COGHeader

Packages that use COGHeader
Package
Description
org.apache.sysds.runtime.io
org.apache.sysds.runtime.io.cog

## Uses of COGHeader in org.apache.sysds.runtime.io

Constructors in org.apache.sysds.runtime.io with parameters of type COGHeader
Modifier
Constructor
Description
``
`TileProcessor(int clen, byte[] tileData, int tileRow, int tileCol, int tileWidth, int tileLength, int bands, int[] bitsPerSample, SampleFormatDataTypes[] sampleFormat, COGHeader cogHeader, MatrixBlock dest, int planarConfiguration)`
``
`TileProcessor(int clen, byte[] tileData, int tileRow, int tileCol, int tileWidth, int tileLength, int bands, int[] bitsPerSample, SampleFormatDataTypes[] sampleFormat, COGHeader cogHeader, MatrixBlock dest, int planarConfiguration, int band)`

## Uses of COGHeader in org.apache.sysds.runtime.io.cog

Methods in org.apache.sysds.runtime.io.cog that return COGHeader
Modifier and Type
Method
Description
`static COGHeader`
COGHeader.`readCOGHeader(COGByteReader byteReader)`
Reads the COG header from the BufferedInputStream.